Skip to main content
`Ctrl`+`K`

# DMProductSetDimensionIndex

Set which dimension `idx` of the sub-`DM` coordinates will be used associated with the `DMPRODUCT` dimension `slot`

## Synopsis

    #include "petsc/private/dmproductimpl.h"
    PetscErrorCode DMProductSetDimensionIndex(DM dm, PetscInt slot, PetscInt idx)

Not Collective

## Input Parameters

- dm - the `DMPRODUCT`

- slot - which dimension, in the range 0 to \(dim-1\) you are providing to the `dm`

- idx - the dimension of the sub-`DM` to use

## See Also

`DMPRODUCT`, `DMProductGetDM()`, `DMProductGetDimensionIndex()`

## Level

advanced

## Location

src/dm/impls/product/productutils.c

Index of all DMPRODUCT routines
Table of Contents for all manual pages
Index of all manual pages